Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415237 - [abrt] meld: __init__.py:950:_write_section:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 14: ordinal not in range(128)
Summary: [abrt] meld: __init__.py:950:_write_section:UnicodeDecodeError: 'ascii' codec...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:45c4272509350e26b2cf99ba639...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 16:12 UTC by Kamil Páral
Modified: 2017-12-12 10:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:49:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.41 KB, text/plain)
2017-01-20 16:12 UTC, Kamil Páral
no flags Details
File: environ (1.77 KB, text/plain)
2017-01-20 16:12 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2017-01-20 16:12:02 UTC
Description of problem:
Crashes when trying to compare csv files.

Version-Release number of selected component:
meld-3.16.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/meld
dso_list:       python2-configparser-3.5.0b2-3.fc25.noarch
executable:     /usr/bin/meld
kernel:         4.9.2-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:950:_write_section:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 14: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/newdifftab.py", line 120, in on_button_compare_clicked
    recent_comparisons.add(tab)
  File "/usr/lib/python2.7/site-packages/meld/recent.py", line 104, in add
    recent_path = self._write_recent_file(comp_type, paths)
  File "/usr/lib/python2.7/site-packages/meld/recent.py", line 169, in _write_recent_file
    config.write(f)
  File "/usr/lib/python2.7/site-packages/backports/configparser/__init__.py", line 941, in write
    self._sections[section].items(), d)
  File "/usr/lib/python2.7/site-packages/backports/configparser/__init__.py", line 950, in _write_section
    value = delimiter + str(value).replace('\n', '\n\t')
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 14: ordinal not in range(128)

Local variables in innermost frame:
fp: <closed file '<fdopen>', mode 'w+b' at 0x7f6ece5f5270>
self: <backports.configparser.RawConfigParser object at 0x7f6ece616c10>
value: '/home/kparal/r\xc5\xafzn\xc3\xa9/z\xc3\xa1loha/weby/todoist.com/todoist.csv;/home/kparal/Download/todoist.csv'
delimiter: u' = '
section_name: 'Comparison'
key: 'paths'
section_items: [('type', 'File'), ('paths', '/home/kparal/r\xc5\xafzn\xc3\xa9/z\xc3\xa1loha/weby/todoist.com/todoist.csv;/home/kparal/Download/todoist.csv')]

Comment 1 Kamil Páral 2017-01-20 16:12:07 UTC
Created attachment 1242922 [details]
File: backtrace

Comment 2 Kamil Páral 2017-01-20 16:12:08 UTC
Created attachment 1242923 [details]
File: environ

Comment 3 Fedora End Of Life 2017-11-16 15:00:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:49:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.